Subject: Fwd: Re: Sub-Agent Status ....

From: Randy Presuhn <[email-masked]>
Date: Mon, 16 Aug 1999 09:25:06 -0700 (PDT)

Hi -

fwd fyi.  the spam filters (inappropriately) blocked this post.

 ------------------------------------------------------------------------
 Randy Presuhn           [email-masked]     http://www.bmc.com/
 Voice: +1 408 616-3100  BMC Software, Inc.           965 Stewart Drive
 Fax:   +1 408 616-3101  Sunnyvale, California 94086  USA
 ------------------------------------------------------------------------
 Any relationship between my opinions and BMC's is probably coincidental.
 ------------------------------------------------------------------------

> Received: from tangelo.bmc.com ([email-masked] [172.17.7.166])
> 	by dorothy.bmc.com (8.8.6 (PHNE_12836)/8.8.6) with ESMTP id BAA07252
> 	for <[email-masked]>; Mon, 16 Aug 1999 01:30:05 -0700 (PDT)
> Received: from fw-us-hou1.bmc.com (fw-us-hou1.bmc.com [172.17.0.250])
> 	by tangelo.bmc.com (8.8.6 (PHNE_17135)/8.8.6) with SMTP id DAA03598
> 	for <[email-masked]>; Mon, 16 Aug 1999 03:30:03 -0500 (CDT)
> Received: from ribble.server.csc.liv.ac.uk ([138.253.124.242])
> 	by mailhub2.liv.ac.uk with esmtp (Exim 2.12 #1)
> 	id 11GI9P-0005ab-00; Mon, 16 Aug 1999 09:29:51 +0100
> Received: from daves.staff.csc.liv.ac.uk ([email-masked] [138.253.125.132])
> 	by ribble.server.csc.liv.ac.uk (8.8.8/LUCS-DTS-3.0M10) with ESMTP id JAA02559;
> 	Mon, 16 Aug 1999 09:29:50 +0100 (BST)
> Received: from daves.staff.csc.liv.ac.uk (daves@localhost [127.0.0.1])
> 	by daves.staff.csc.liv.ac.uk (8.8.7/LUCS-DTS-3.0D9) with ESMTP id JAA05052;
> 	Mon, 16 Aug 1999 09:30:03 +0100
> Message-Id: <[email-masked]>
> X-Mailer: exmh version 2.0.2
> To: [email-masked]
> Cc: [email-masked]
> Subject: Re: Sub-Agent Status .... 
> In-Reply-To: Your message of "Fri, 13 Aug 1999 18:24:58 EDT."
>              <[email-masked]> 
> Mime-Version: 1.0
> Content-Type: text/plain; charset=us-ascii
> Date: Mon, 16 Aug 1999 09:30:03 +0100
> From: Dave Shield <[email-masked]>
> 
> >                                    problem may occur if
> > interaction between Master and Sub-agent is not through 
> > TCP but through IPC say message Queues , i prefer IPC
> > when Master and sub-agent both are on same board/Processor.
> 
> In terms of AgentX, that sounds like a "transport mapping" issue to me.
> 
>   The protocol draft just specifies mappings for TCP connections
> and Unix domain sockets, but I don't see any reason why you couldn't
> use other forms of IPC to pass AgentX PDUs back and forth.  And the
> MIB seems to bear this out, since the Connection Table column
> 'TransportType' includes a choice of 'sharedMem(4)' as well as the
> catch-all 'other(5)'.
> 
>   So you can still tell whether there's a connection established
> in the eyes of the master, regardless of the transport used.
> The question of whether the subagent is actually responsive is also
> independent of the transport used - you still need to suck it and see.
> 
> Or at least, that's how I read things.
> 
> Dave
> 
>